Create Invoice

Create a new invoice and email it to the customer.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Never Use Real API Keys

Use Sandbox keys with the Try It feature. Do not enter production API keys when testing.

Body Params

Request to create a new invoice

number
required

Total amount to be invoiced. Must be greater than 0.00. Format: x.xx

float
≥ 0

Subtotal amount before tax and shipping

string
Defaults to upon_receipt

When the invoice should be paid. Values: 'upon_receipt', or integers from 0-999. Default - upon_receipt.

payment_methods_allowed
array of strings

Payment methods allowed for this invoice. 'cc' = Credit Card, 'ck' = Check, 'cs' = Cash

payment_methods_allowed
Allowed:
string

If using Multiple MIDs, route to this processor (processor_id is obtained under Settings → Transaction Routing in the Control Panel).

If allowing multiple payment types, one processor_id can be selected per payment type by submitting comma-separated values.

string
length between 3 and 3
^[A-Z]{3}$

The transaction currency. Format: ISO 4217 (must be uppercase 3-letter code)

billing_address
object

Billing address for a payment transaction request.

shipping_address
object

Shipping address and information

order_details
object

Order details and line items

merchant_defined_fields
object

Custom fields configured in the merchant control panel under Settings → Merchant Defined Fields (field_1 through field_20).

Responses

401

Unauthorized

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json